org.apache.jmeter.protocol.tcp.sampler

## Class TCPClientImpl

- java.lang.Object
- - org.apache.jmeter.protocol.tcp.sampler.AbstractTCPClient
  - - org.apache.jmeter.protocol.tcp.sampler.TCPClientImpl

All Implemented Interfaces:
  TCPClient

    public class TCPClientImpl
    extends AbstractTCPClient

Sample TCPClient implementation. Reads data until the defined EOL byte is reached. If there is no EOL byte defined, then reads until the end of the stream is reached. The EOL byte is defined by the property "tcp.eolByte".

### Field Summary

### Fields inherited from class org.apache.jmeter.protocol.tcp.sampler.AbstractTCPClient

`eolByte, useEolByte`

### Constructor Summary

Constructors
Constructor and Description
`TCPClientImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String` `read(InputStream is)` Deprecated.
`String` `read(InputStream is, SampleResult sampleResult)` Reads data until the defined EOL byte is reached.
`void` `write(OutputStream os, InputStream is)`
`void` `write(OutputStream os, String s)`

### Methods inherited from class org.apache.jmeter.protocol.tcp.sampler.AbstractTCPClient

`getCharset, getEolByte, setCharset, setEolByte, setupTest, teardownTest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TCPClientImpl

    public TCPClientImpl()

### Method Detail

#### write

    public void write(OutputStream os,
                      String s)
               throws IOException

Parameters:
  `os` - - OutputStream for socket
  `s` - - String to write
Throws:
  `IOException` - when writing fails

#### write

    public void write(OutputStream os,
                      InputStream is)
               throws IOException

Parameters:
  `os` - - OutputStream for socket
  `is` - - InputStream to be written to Socket
Throws:
  `IOException` - when writing fails

#### read

    @Deprecated
    public String read(InputStream is)
                            throws ReadException

Deprecated.

Parameters:
  `is` - - InputStream for socket
Returns:
  String read from socket
Throws:
  `ReadException` - exception that can contain partial response (Response until error occurred)

#### read

    public String read(InputStream is,
                       SampleResult sampleResult)
                throws ReadException

Reads data until the defined EOL byte is reached. If there is no EOL byte defined, then reads until the end of the stream is reached.

Specified by:
  `read` in interface `TCPClient`
Overrides:
  `read` in class `AbstractTCPClient`
Parameters:
  `is` - - InputStream for socket
  `sampleResult` - `SampleResult`
Returns:
  String read from socket
Throws:
  `ReadException` - exception that can contain partial response
See Also:
  `TCPClient.read(java.io.InputStream, org.apache.jmeter.samplers.SampleResult)`